// AccelePort 2000 Adapter specifics

//
//	Configures all options relating to this adapter.
//
//		$0 = Source directory
//		$1 = Option
//		$2 = Parameters Key
//		$3 = AdapterServiceName
//
//		$R0 = Status 
//
[ConfigureAdapter-AccelePort2000]

	set SrcDir = $($0)
	set Option = $($1)
	set KeyParameters = $($2)
	set AdapterServiceName = $($3)
	_Enter("ConfigureAdapter-AccelePort-2000", _Show(SrcDir)_Show(Option)_Show(KeyParameters)_Show(AdapterServiceName))

	// Call the genero config
	_LocalShell ConfigureAdapter $(SrcDir) $(Option) $(KeyParameters) $(AdapterServiceName) $(!STF_CWDDIR)"DigiInf.Dll" "Configure"

	set Status = $($R0)
	set NeedBindingReview = $($R1)

	ifstr(i) $(Status) != "STATUS_SUCCESSFUL"
		goto Exit
	endif

	_If($(NeedBindingReview))
		set Status = "STATUS_SUCCESSFUL"
	else
		set Status = "STATUS_REBOOT"
	endif

Exit = +

	_Exit("ConfigureAdapter-AccelePort-2000", _Show(Status))
	Return $(Status)
